// File automatically generated by ESPAM

#ifndef Convolution28_H
#define Convolution28_H
#include "csdfNode.h"
#include <map>

class Convolution28 : public csdfNode{
public:
    Convolution28();
    virtual ~Convolution28();

    void main(void *threadarg) override;
    // specific const parameters definition
    std::map<std::string,int> int_params;
  const int neurons = 8;

  //FIFO sizes
    int IP0_fifo_size;
    int OP1_fifo_size;

  const int input_dims = 4;
  //input array definition
    const int input_dim_0 = 1;
    const int input_dim_1 = 1;
    const int input_dim_2 = 5;
    const int input_dim_3 = 28;
    int input[1][1][5][28] = {{{{0}}}};

  const int output_dims = 3;
  //output array definition
    const int output_dim_0 = 8;
    const int output_dim_1 = 1;
    const int output_dim_2 = 28;
    int output[8][1][28] = {{{0}}};

  //weights array definition
    const int weights_dim_0 = 8;
    const int weights_dim_1 = 5;
    const int weights_dim_2 = 5;
    int weights[8][5][5] = {{{0}}};

//const parameters
  const int k_h = 5;
  const int k_w = 5;
  const int stride = 1;
  //specific node parameters and functions
};
#endif // Convolution28_H
